Package org.eclipse.graphiti.ui.internal.util.ui

# Class PopupMenu.CascadingMenu

java.lang.Object
org.eclipse.graphiti.ui.internal.util.ui.PopupMenu.CascadingMenu

Enclosing class:
  PopupMenu

public static class PopupMenu.CascadingMenu extends Object
An instance of this class can be created to add a submenu to a menu item in a `PopupMenu`.

## Constructor Summary

Constructors
Constructor
Description
`CascadingMenu(Object aParentMenuItem, PopupMenu aSubMenu)`
Creates a new `CascadingMenu`.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getParentMenuItem()`
Gets the parentMenuItem.
`PopupMenu`
`getSubMenu()`
Gets the subMenu.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CascadingMenu

public CascadingMenu(Object aParentMenuItem, PopupMenu aSubMenu)
Creates a new `CascadingMenu`.

Parameters:
  `aParentMenuItem` - content of the parent menu item
  `aSubMenu` - PopupMenu to be used as a submenu

## Method Details

### getParentMenuItem

public Object getParentMenuItem()
Gets the parentMenuItem.

Returns:
  Returns the parentMenuItem.

### getSubMenu

public PopupMenu getSubMenu()
Gets the subMenu.

Returns:
  Returns the subMenu.